namespace _2DParticleEditor
{
    partial class Editor
    {
        /// <summary>
        /// Erforderliche Designervariable.
        /// </summary>
        private System.ComponentModel.IContainer components = null;

        /// <summary>
        /// Verwendete Ressourcen bereinigen.
        /// </summary>
        /// <param name="disposing">True, wenn verwaltete Ressourcen gelöscht werden sollen; andernfalls False.</param>
        protected override void Dispose(bool disposing)
        {
            if (disposing && (components != null))
            {
                components.Dispose();
            }
            base.Dispose(disposing);
        }

        #region Vom Windows Form-Designer generierter Code

        /// <summary>
        /// Erforderliche Methode für die Designerunterstützung.
        /// Der Inhalt der Methode darf nicht mit dem Code-Editor geändert werden.
        /// </summary>
        private void InitializeComponent()
        {
            System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(Editor));
            this.AGKScreen = new System.Windows.Forms.Panel();
            this.label1 = new System.Windows.Forms.Label();
            this.label2 = new System.Windows.Forms.Label();
            this.CheckBox_FaceDirection = new System.Windows.Forms.CheckBox();
            this.label3 = new System.Windows.Forms.Label();
            this.TextBox_Frequency = new System.Windows.Forms.TextBox();
            this.TrackBar_Angle = new System.Windows.Forms.TrackBar();
            this.TextBox_Direction = new System.Windows.Forms.TextBox();
            this.TextBox_Angle = new System.Windows.Forms.TextBox();
            this.label4 = new System.Windows.Forms.Label();
            this.TextBox_Life = new System.Windows.Forms.TextBox();
            this.label5 = new System.Windows.Forms.Label();
            this.Label_Count = new System.Windows.Forms.Label();
            this.TextBox_MaxParticles = new System.Windows.Forms.TextBox();
            this.label7 = new System.Windows.Forms.Label();
            this.groupBox1 = new System.Windows.Forms.GroupBox();
            this.CheckBox_Infinit = new System.Windows.Forms.CheckBox();
            this.groupBox2 = new System.Windows.Forms.GroupBox();
            this.TextBox_RotRangeMax = new System.Windows.Forms.TextBox();
            this.TextBox_RotRangeMin = new System.Windows.Forms.TextBox();
            this.label10 = new System.Windows.Forms.Label();
            this.label9 = new System.Windows.Forms.Label();
            this.label8 = new System.Windows.Forms.Label();
            this.label13 = new System.Windows.Forms.Label();
            this.TextBox_ParticleSize = new System.Windows.Forms.TextBox();
            this.groupBox3 = new System.Windows.Forms.GroupBox();
            this.TextBox_ZoneY2 = new System.Windows.Forms.TextBox();
            this.TextBox_ZoneY1 = new System.Windows.Forms.TextBox();
            this.TextBox_ZoneX2 = new System.Windows.Forms.TextBox();
            this.TextBox_ZoneX1 = new System.Windows.Forms.TextBox();
            this.label17 = new System.Windows.Forms.Label();
            this.label16 = new System.Windows.Forms.Label();
            this.label15 = new System.Windows.Forms.Label();
            this.label14 = new System.Windows.Forms.Label();
            this.groupBox4 = new System.Windows.Forms.GroupBox();
            this.label18 = new System.Windows.Forms.Label();
            this.label19 = new System.Windows.Forms.Label();
            this.TextBox_VelocityMax = new System.Windows.Forms.TextBox();
            this.TextBox_VelocityMin = new System.Windows.Forms.TextBox();
            this.label20 = new System.Windows.Forms.Label();
            this.label21 = new System.Windows.Forms.Label();
            this.label22 = new System.Windows.Forms.Label();
            this.panel1 = new System.Windows.Forms.Panel();
            this.groupBox8 = new System.Windows.Forms.GroupBox();
            this.CheckBox_Interpolation = new System.Windows.Forms.CheckBox();
            this.PictureBox_Particle = new System.Windows.Forms.PictureBox();
            this.CheckBox_Transparency = new System.Windows.Forms.CheckBox();
            this.Button_LoadImage = new System.Windows.Forms.Button();
            this.Label_ImageSize = new System.Windows.Forms.Label();
            this.groupBox7 = new System.Windows.Forms.GroupBox();
            this.Button_ForceKeyClear = new System.Windows.Forms.Button();
            this.Button_ForceKeySet = new System.Windows.Forms.Button();
            this.Button_AddForceKey = new System.Windows.Forms.Button();
            this.TextBox_ForceKeyForce = new System.Windows.Forms.TextBox();
            this.label30 = new System.Windows.Forms.Label();
            this.TextBox_ForceKeyTime = new System.Windows.Forms.TextBox();
            this.label31 = new System.Windows.Forms.Label();
            this.label32 = new System.Windows.Forms.Label();
            this.UpDown_ForceKey = new System.Windows.Forms.NumericUpDown();
            this.groupBox6 = new System.Windows.Forms.GroupBox();
            this.Button_ScaleKeyClear = new System.Windows.Forms.Button();
            this.Button_ScaleKeySet = new System.Windows.Forms.Button();
            this.Button_AddScaleKey = new System.Windows.Forms.Button();
            this.TextBox_ScaleKey = new System.Windows.Forms.TextBox();
            this.label27 = new System.Windows.Forms.Label();
            this.TextBox_ScaleKeyTime = new System.Windows.Forms.TextBox();
            this.label28 = new System.Windows.Forms.Label();
            this.label29 = new System.Windows.Forms.Label();
            this.UpDown_ScaleKey = new System.Windows.Forms.NumericUpDown();
            this.groupBox5 = new System.Windows.Forms.GroupBox();
            this.Button_ColorKeyClear = new System.Windows.Forms.Button();
            this.Button_ColorKeySet = new System.Windows.Forms.Button();
            this.Button_AddColorKey = new System.Windows.Forms.Button();
            this.Button_ColorKeySelect = new System.Windows.Forms.Button();
            this.label26 = new System.Windows.Forms.Label();
            this.TextBox_ColorKeyTime = new System.Windows.Forms.TextBox();
            this.label25 = new System.Windows.Forms.Label();
            this.label24 = new System.Windows.Forms.Label();
            this.UpDown_ColorKey = new System.Windows.Forms.NumericUpDown();
            this.ColorDialog = new System.Windows.Forms.ColorDialog();
            this.Button_CreateEmitter = new System.Windows.Forms.Button();
            this.label35 = new System.Windows.Forms.Label();
            this.UpDown_Emitter = new System.Windows.Forms.NumericUpDown();
            this.CheckBox_PlaySelected = new System.Windows.Forms.CheckBox();
            this.Button_Play = new System.Windows.Forms.Button();
            this.Button_Pause = new System.Windows.Forms.Button();
            this.Button_Stop = new System.Windows.Forms.Button();
            this.OpenFileDialog = new System.Windows.Forms.OpenFileDialog();
            this.CheckBox_ShowZone = new System.Windows.Forms.CheckBox();
            ((System.ComponentModel.ISupportInitialize)(this.TrackBar_Angle)).BeginInit();
            this.groupBox1.SuspendLayout();
            this.groupBox2.SuspendLayout();
            this.groupBox3.SuspendLayout();
            this.groupBox4.SuspendLayout();
            this.panel1.SuspendLayout();
            this.groupBox8.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.PictureBox_Particle)).BeginInit();
            this.groupBox7.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.UpDown_ForceKey)).BeginInit();
            this.groupBox6.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.UpDown_ScaleKey)).BeginInit();
            this.groupBox5.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.UpDown_ColorKey)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.UpDown_Emitter)).BeginInit();
            this.SuspendLayout();
            // 
            // AGKScreen
            // 
            this.AGKScreen.AutoSizeMode = System.Windows.Forms.AutoSizeMode.GrowAndShrink;
            this.AGKScreen.Cursor = System.Windows.Forms.Cursors.Cross;
            this.AGKScreen.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.AGKScreen.Location = new System.Drawing.Point(12, 12);
            this.AGKScreen.Name = "AGKScreen";
            this.AGKScreen.Size = new System.Drawing.Size(520, 537);
            this.AGKScreen.TabIndex = 0;
            this.AGKScreen.MouseDown += new System.Windows.Forms.MouseEventHandler(this.AGKScreen_MouseDown);
            this.AGKScreen.MouseMove += new System.Windows.Forms.MouseEventHandler(this.AGKScreen_MouseMove);
            this.AGKScreen.MouseUp += new System.Windows.Forms.MouseEventHandler(this.AGKScreen_MouseUp);
            this.AGKScreen.PreviewKeyDown += new System.Windows.Forms.PreviewKeyDownEventHandler(this.AGKScreen_PreviewKeyDown);
            // 
            // label1
            // 
            this.label1.AutoSize = true;
            this.label1.Location = new System.Drawing.Point(6, 128);
            this.label1.Name = "label1";
            this.label1.Size = new System.Drawing.Size(49, 13);
            this.label1.TabIndex = 3;
            this.label1.Text = "Direction";
            // 
            // label2
            // 
            this.label2.AutoSize = true;
            this.label2.Location = new System.Drawing.Point(7, 154);
            this.label2.Name = "label2";
            this.label2.Size = new System.Drawing.Size(34, 13);
            this.label2.TabIndex = 4;
            this.label2.Text = "Angle";
            // 
            // CheckBox_FaceDirection
            // 
            this.CheckBox_FaceDirection.AutoSize = true;
            this.CheckBox_FaceDirection.Location = new System.Drawing.Point(8, 19);
            this.CheckBox_FaceDirection.Name = "CheckBox_FaceDirection";
            this.CheckBox_FaceDirection.Size = new System.Drawing.Size(95, 17);
            this.CheckBox_FaceDirection.TabIndex = 5;
            this.CheckBox_FaceDirection.Text = "Face Direction";
            this.CheckBox_FaceDirection.UseVisualStyleBackColor = true;
            this.CheckBox_FaceDirection.CheckedChanged += new System.EventHandler(this.CheckBox_FaceDirection_CheckedChanged);
            // 
            // label3
            // 
            this.label3.AutoSize = true;
            this.label3.Location = new System.Drawing.Point(4, 21);
            this.label3.Name = "label3";
            this.label3.Size = new System.Drawing.Size(57, 13);
            this.label3.TabIndex = 6;
            this.label3.Text = "Frequency";
            // 
            // TextBox_Frequency
            // 
            this.TextBox_Frequency.Location = new System.Drawing.Point(67, 19);
            this.TextBox_Frequency.Name = "TextBox_Frequency";
            this.TextBox_Frequency.Size = new System.Drawing.Size(61, 20);
            this.TextBox_Frequency.TabIndex = 7;
            this.TextBox_Frequency.TextChanged += new System.EventHandler(this.TextBox_Frequency_TextChanged);
            this.TextBox_Frequency.Leave += new System.EventHandler(this.TextBox_Frequency_Leave);
            // 
            // TrackBar_Angle
            // 
            this.TrackBar_Angle.Cursor = System.Windows.Forms.Cursors.Default;
            this.TrackBar_Angle.LargeChange = 1;
            this.TrackBar_Angle.Location = new System.Drawing.Point(6, 177);
            this.TrackBar_Angle.Maximum = 360;
            this.TrackBar_Angle.Name = "TrackBar_Angle";
            this.TrackBar_Angle.Size = new System.Drawing.Size(197, 45);
            this.TrackBar_Angle.TabIndex = 9;
            this.TrackBar_Angle.Scroll += new System.EventHandler(this.TrackBar_Angle_Scroll);
            // 
            // TextBox_Direction
            // 
            this.TextBox_Direction.Location = new System.Drawing.Point(61, 125);
            this.TextBox_Direction.Name = "TextBox_Direction";
            this.TextBox_Direction.Size = new System.Drawing.Size(67, 20);
            this.TextBox_Direction.TabIndex = 10;
            this.TextBox_Direction.TextAlign = System.Windows.Forms.HorizontalAlignment.Center;
            this.TextBox_Direction.TextChanged += new System.EventHandler(this.TextBox_Direction_TextChanged);
            this.TextBox_Direction.Leave += new System.EventHandler(this.TextBox_Direction_Leave);
            // 
            // TextBox_Angle
            // 
            this.TextBox_Angle.Location = new System.Drawing.Point(47, 151);
            this.TextBox_Angle.Name = "TextBox_Angle";
            this.TextBox_Angle.Size = new System.Drawing.Size(46, 20);
            this.TextBox_Angle.TabIndex = 11;
            this.TextBox_Angle.TextAlign = System.Windows.Forms.HorizontalAlignment.Center;
            this.TextBox_Angle.TextChanged += new System.EventHandler(this.TextBox_Angle_TextChanged);
            this.TextBox_Angle.Leave += new System.EventHandler(this.TextBox_Angle_Leave);
            // 
            // label4
            // 
            this.label4.AutoSize = true;
            this.label4.Location = new System.Drawing.Point(37, 48);
            this.label4.Name = "label4";
            this.label4.Size = new System.Drawing.Size(24, 13);
            this.label4.TabIndex = 12;
            this.label4.Text = "Life";
            // 
            // TextBox_Life
            // 
            this.TextBox_Life.Location = new System.Drawing.Point(67, 45);
            this.TextBox_Life.Name = "TextBox_Life";
            this.TextBox_Life.Size = new System.Drawing.Size(61, 20);
            this.TextBox_Life.TabIndex = 13;
            this.TextBox_Life.TextChanged += new System.EventHandler(this.TextBox_Life_TextChanged);
            this.TextBox_Life.Leave += new System.EventHandler(this.TextBox_Life_Leave);
            // 
            // label5
            // 
            this.label5.AutoSize = true;
            this.label5.Location = new System.Drawing.Point(134, 23);
            this.label5.Name = "label5";
            this.label5.Size = new System.Drawing.Size(57, 13);
            this.label5.TabIndex = 14;
            this.label5.Text = "Calculated";
            // 
            // Label_Count
            // 
            this.Label_Count.BackColor = System.Drawing.SystemColors.Info;
            this.Label_Count.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Italic, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.Label_Count.Location = new System.Drawing.Point(134, 36);
            this.Label_Count.Name = "Label_Count";
            this.Label_Count.Size = new System.Drawing.Size(66, 25);
            this.Label_Count.TabIndex = 15;
            this.Label_Count.Text = "Count";
            this.Label_Count.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
            // 
            // TextBox_MaxParticles
            // 
            this.TextBox_MaxParticles.Location = new System.Drawing.Point(67, 71);
            this.TextBox_MaxParticles.Name = "TextBox_MaxParticles";
            this.TextBox_MaxParticles.Size = new System.Drawing.Size(61, 20);
            this.TextBox_MaxParticles.TabIndex = 16;
            this.TextBox_MaxParticles.TextChanged += new System.EventHandler(this.TextBox_MaxParticles_TextChanged);
            this.TextBox_MaxParticles.Leave += new System.EventHandler(this.TextBox_MaxParticles_Leave);
            // 
            // label7
            // 
            this.label7.AutoSize = true;
            this.label7.Location = new System.Drawing.Point(37, 74);
            this.label7.Name = "label7";
            this.label7.Size = new System.Drawing.Size(27, 13);
            this.label7.TabIndex = 17;
            this.label7.Text = "Max";
            // 
            // groupBox1
            // 
            this.groupBox1.Controls.Add(this.CheckBox_Infinit);
            this.groupBox1.Controls.Add(this.TextBox_Frequency);
            this.groupBox1.Controls.Add(this.label7);
            this.groupBox1.Controls.Add(this.label3);
            this.groupBox1.Controls.Add(this.TextBox_MaxParticles);
            this.groupBox1.Controls.Add(this.label4);
            this.groupBox1.Controls.Add(this.Label_Count);
            this.groupBox1.Controls.Add(this.TextBox_Life);
            this.groupBox1.Controls.Add(this.label5);
            this.groupBox1.Location = new System.Drawing.Point(10, 298);
            this.groupBox1.Name = "groupBox1";
            this.groupBox1.Size = new System.Drawing.Size(208, 100);
            this.groupBox1.TabIndex = 18;
            this.groupBox1.TabStop = false;
            this.groupBox1.Text = "Particle Count";
            // 
            // CheckBox_Infinit
            // 
            this.CheckBox_Infinit.AutoSize = true;
            this.CheckBox_Infinit.Location = new System.Drawing.Point(134, 74);
            this.CheckBox_Infinit.Name = "CheckBox_Infinit";
            this.CheckBox_Infinit.Size = new System.Drawing.Size(57, 17);
            this.CheckBox_Infinit.TabIndex = 18;
            this.CheckBox_Infinit.Text = "Infinite";
            this.CheckBox_Infinit.UseVisualStyleBackColor = true;
            this.CheckBox_Infinit.CheckedChanged += new System.EventHandler(this.CheckBox_Infinit_CheckedChanged);
            // 
            // groupBox2
            // 
            this.groupBox2.Controls.Add(this.TextBox_RotRangeMax);
            this.groupBox2.Controls.Add(this.TextBox_RotRangeMin);
            this.groupBox2.Controls.Add(this.label10);
            this.groupBox2.Controls.Add(this.label9);
            this.groupBox2.Controls.Add(this.label8);
            this.groupBox2.Controls.Add(this.CheckBox_FaceDirection);
            this.groupBox2.Location = new System.Drawing.Point(10, 481);
            this.groupBox2.Name = "groupBox2";
            this.groupBox2.Size = new System.Drawing.Size(208, 116);
            this.groupBox2.TabIndex = 19;
            this.groupBox2.TabStop = false;
            this.groupBox2.Text = "Particle Rotation";
            // 
            // TextBox_RotRangeMax
            // 
            this.TextBox_RotRangeMax.Location = new System.Drawing.Point(38, 85);
            this.TextBox_RotRangeMax.Name = "TextBox_RotRangeMax";
            this.TextBox_RotRangeMax.Size = new System.Drawing.Size(51, 20);
            this.TextBox_RotRangeMax.TabIndex = 10;
            this.TextBox_RotRangeMax.TextChanged += new System.EventHandler(this.TextBox_RotRangeMax_TextChanged);
            this.TextBox_RotRangeMax.Leave += new System.EventHandler(this.TextBox_RotRangeMax_Leave);
            // 
            // TextBox_RotRangeMin
            // 
            this.TextBox_RotRangeMin.Location = new System.Drawing.Point(38, 61);
            this.TextBox_RotRangeMin.Name = "TextBox_RotRangeMin";
            this.TextBox_RotRangeMin.Size = new System.Drawing.Size(51, 20);
            this.TextBox_RotRangeMin.TabIndex = 9;
            this.TextBox_RotRangeMin.TextChanged += new System.EventHandler(this.TextBox_RotRangeMin_TextChanged);
            this.TextBox_RotRangeMin.Leave += new System.EventHandler(this.TextBox_RotRangeMin_Leave);
            // 
            // label10
            // 
            this.label10.AutoSize = true;
            this.label10.Location = new System.Drawing.Point(6, 88);
            this.label10.Name = "label10";
            this.label10.Size = new System.Drawing.Size(27, 13);
            this.label10.TabIndex = 8;
            this.label10.Text = "Max";
            // 
            // label9
            // 
            this.label9.AutoSize = true;
            this.label9.Location = new System.Drawing.Point(6, 63);
            this.label9.Name = "label9";
            this.label9.Size = new System.Drawing.Size(24, 13);
            this.label9.TabIndex = 7;
            this.label9.Text = "Min";
            // 
            // label8
            // 
            this.label8.AutoSize = true;
            this.label8.Location = new System.Drawing.Point(6, 39);
            this.label8.Name = "label8";
            this.label8.Size = new System.Drawing.Size(82, 13);
            this.label8.TabIndex = 6;
            this.label8.Text = "Rotation Range";
            // 
            // label13
            // 
            this.label13.AutoSize = true;
            this.label13.Location = new System.Drawing.Point(6, 225);
            this.label13.Name = "label13";
            this.label13.Size = new System.Drawing.Size(65, 13);
            this.label13.TabIndex = 20;
            this.label13.Text = "Particle Size";
            // 
            // TextBox_ParticleSize
            // 
            this.TextBox_ParticleSize.Location = new System.Drawing.Point(77, 222);
            this.TextBox_ParticleSize.Name = "TextBox_ParticleSize";
            this.TextBox_ParticleSize.Size = new System.Drawing.Size(34, 20);
            this.TextBox_ParticleSize.TabIndex = 21;
            this.TextBox_ParticleSize.TextAlign = System.Windows.Forms.HorizontalAlignment.Center;
            this.TextBox_ParticleSize.TextChanged += new System.EventHandler(this.TextBox_ParticleSize_TextChanged);
            this.TextBox_ParticleSize.Leave += new System.EventHandler(this.TextBox_ParticleSize_Leave);
            // 
            // groupBox3
            // 
            this.groupBox3.Controls.Add(this.TextBox_ZoneY2);
            this.groupBox3.Controls.Add(this.TextBox_ZoneY1);
            this.groupBox3.Controls.Add(this.TextBox_ZoneX2);
            this.groupBox3.Controls.Add(this.TextBox_ZoneX1);
            this.groupBox3.Controls.Add(this.label17);
            this.groupBox3.Controls.Add(this.label16);
            this.groupBox3.Controls.Add(this.label15);
            this.groupBox3.Controls.Add(this.label14);
            this.groupBox3.Location = new System.Drawing.Point(10, 404);
            this.groupBox3.Name = "groupBox3";
            this.groupBox3.Size = new System.Drawing.Size(208, 71);
            this.groupBox3.TabIndex = 22;
            this.groupBox3.TabStop = false;
            this.groupBox3.Text = "Zone";
            // 
            // TextBox_ZoneY2
            // 
            this.TextBox_ZoneY2.Location = new System.Drawing.Point(147, 42);
            this.TextBox_ZoneY2.Name = "TextBox_ZoneY2";
            this.TextBox_ZoneY2.Size = new System.Drawing.Size(61, 20);
            this.TextBox_ZoneY2.TabIndex = 25;
            this.TextBox_ZoneY2.TextAlign = System.Windows.Forms.HorizontalAlignment.Center;
            this.TextBox_ZoneY2.TextChanged += new System.EventHandler(this.TextBox_ZoneY2_TextChanged);
            this.TextBox_ZoneY2.Leave += new System.EventHandler(this.TextBox_ZoneY2_Leave);
            // 
            // TextBox_ZoneY1
            // 
            this.TextBox_ZoneY1.Location = new System.Drawing.Point(147, 16);
            this.TextBox_ZoneY1.Name = "TextBox_ZoneY1";
            this.TextBox_ZoneY1.Size = new System.Drawing.Size(61, 20);
            this.TextBox_ZoneY1.TabIndex = 24;
            this.TextBox_ZoneY1.TextAlign = System.Windows.Forms.HorizontalAlignment.Center;
            this.TextBox_ZoneY1.TextChanged += new System.EventHandler(this.TextBox_ZoneY1_TextChanged);
            this.TextBox_ZoneY1.Leave += new System.EventHandler(this.TextBox_ZoneY1_Leave);
            // 
            // TextBox_ZoneX2
            // 
            this.TextBox_ZoneX2.Location = new System.Drawing.Point(32, 42);
            this.TextBox_ZoneX2.Name = "TextBox_ZoneX2";
            this.TextBox_ZoneX2.Size = new System.Drawing.Size(61, 20);
            this.TextBox_ZoneX2.TabIndex = 23;
            this.TextBox_ZoneX2.TextAlign = System.Windows.Forms.HorizontalAlignment.Center;
            this.TextBox_ZoneX2.TextChanged += new System.EventHandler(this.TextBox_ZoneX2_TextChanged);
            this.TextBox_ZoneX2.Leave += new System.EventHandler(this.TextBox_ZoneX2_Leave);
            // 
            // TextBox_ZoneX1
            // 
            this.TextBox_ZoneX1.Location = new System.Drawing.Point(32, 16);
            this.TextBox_ZoneX1.Name = "TextBox_ZoneX1";
            this.TextBox_ZoneX1.Size = new System.Drawing.Size(61, 20);
            this.TextBox_ZoneX1.TabIndex = 22;
            this.TextBox_ZoneX1.TextAlign = System.Windows.Forms.HorizontalAlignment.Center;
            this.TextBox_ZoneX1.TextChanged += new System.EventHandler(this.TextBox_ZoneX1_TextChanged);
            this.TextBox_ZoneX1.Leave += new System.EventHandler(this.TextBox_ZoneX1_Leave);
            // 
            // label17
            // 
            this.label17.AutoSize = true;
            this.label17.Location = new System.Drawing.Point(121, 45);
            this.label17.Name = "label17";
            this.label17.Size = new System.Drawing.Size(20, 13);
            this.label17.TabIndex = 3;
            this.label17.Text = "Y2";
            // 
            // label16
            // 
            this.label16.AutoSize = true;
            this.label16.Location = new System.Drawing.Point(121, 19);
            this.label16.Name = "label16";
            this.label16.Size = new System.Drawing.Size(20, 13);
            this.label16.TabIndex = 2;
            this.label16.Text = "Y1";
            // 
            // label15
            // 
            this.label15.AutoSize = true;
            this.label15.Location = new System.Drawing.Point(6, 47);
            this.label15.Name = "label15";
            this.label15.Size = new System.Drawing.Size(20, 13);
            this.label15.TabIndex = 1;
            this.label15.Text = "X2";
            // 
            // label14
            // 
            this.label14.AutoSize = true;
            this.label14.Location = new System.Drawing.Point(6, 19);
            this.label14.Name = "label14";
            this.label14.Size = new System.Drawing.Size(20, 13);
            this.label14.TabIndex = 0;
            this.label14.Text = "X1";
            // 
            // groupBox4
            // 
            this.groupBox4.Controls.Add(this.label18);
            this.groupBox4.Controls.Add(this.label19);
            this.groupBox4.Controls.Add(this.TextBox_VelocityMax);
            this.groupBox4.Controls.Add(this.TextBox_VelocityMin);
            this.groupBox4.Controls.Add(this.label20);
            this.groupBox4.Controls.Add(this.label21);
            this.groupBox4.Controls.Add(this.label22);
            this.groupBox4.Location = new System.Drawing.Point(10, 603);
            this.groupBox4.Name = "groupBox4";
            this.groupBox4.Size = new System.Drawing.Size(208, 92);
            this.groupBox4.TabIndex = 20;
            this.groupBox4.TabStop = false;
            this.groupBox4.Text = "Particle Velocity";
            // 
            // label18
            // 
            this.label18.AutoSize = true;
            this.label18.Location = new System.Drawing.Point(97, 65);
            this.label18.Name = "label18";
            this.label18.Size = new System.Drawing.Size(47, 13);
            this.label18.TabIndex = 12;
            this.label18.Text = "multiplier";
            // 
            // label19
            // 
            this.label19.AutoSize = true;
            this.label19.Location = new System.Drawing.Point(97, 40);
            this.label19.Name = "label19";
            this.label19.Size = new System.Drawing.Size(47, 13);
            this.label19.TabIndex = 11;
            this.label19.Text = "multiplier";
            // 
            // TextBox_VelocityMax
            // 
            this.TextBox_VelocityMax.Location = new System.Drawing.Point(40, 62);
            this.TextBox_VelocityMax.Name = "TextBox_VelocityMax";
            this.TextBox_VelocityMax.Size = new System.Drawing.Size(51, 20);
            this.TextBox_VelocityMax.TabIndex = 10;
            this.TextBox_VelocityMax.TextChanged += new System.EventHandler(this.TextBox_VelocityMax_TextChanged);
            this.TextBox_VelocityMax.Leave += new System.EventHandler(this.TextBox_VelocityMax_Leave);
            // 
            // TextBox_VelocityMin
            // 
            this.TextBox_VelocityMin.Location = new System.Drawing.Point(40, 37);
            this.TextBox_VelocityMin.Name = "TextBox_VelocityMin";
            this.TextBox_VelocityMin.Size = new System.Drawing.Size(51, 20);
            this.TextBox_VelocityMin.TabIndex = 9;
            this.TextBox_VelocityMin.TextChanged += new System.EventHandler(this.TextBox_VelocityMin_TextChanged);
            this.TextBox_VelocityMin.Leave += new System.EventHandler(this.TextBox_VelocityMin_Leave);
            // 
            // label20
            // 
            this.label20.AutoSize = true;
            this.label20.Location = new System.Drawing.Point(6, 64);
            this.label20.Name = "label20";
            this.label20.Size = new System.Drawing.Size(27, 13);
            this.label20.TabIndex = 8;
            this.label20.Text = "Max";
            // 
            // label21
            // 
            this.label21.AutoSize = true;
            this.label21.Location = new System.Drawing.Point(6, 40);
            this.label21.Name = "label21";
            this.label21.Size = new System.Drawing.Size(24, 13);
            this.label21.TabIndex = 7;
            this.label21.Text = "Min";
            // 
            // label22
            // 
            this.label22.AutoSize = true;
            this.label22.Location = new System.Drawing.Point(6, 16);
            this.label22.Name = "label22";
            this.label22.Size = new System.Drawing.Size(79, 13);
            this.label22.TabIndex = 6;
            this.label22.Text = "Velocity Range";
            // 
            // panel1
            // 
            this.panel1.AutoScroll = true;
            this.panel1.Controls.Add(this.groupBox8);
            this.panel1.Controls.Add(this.groupBox7);
            this.panel1.Controls.Add(this.groupBox6);
            this.panel1.Controls.Add(this.groupBox5);
            this.panel1.Controls.Add(this.groupBox3);
            this.panel1.Controls.Add(this.groupBox4);
            this.panel1.Controls.Add(this.groupBox2);
            this.panel1.Controls.Add(this.groupBox1);
            this.panel1.Location = new System.Drawing.Point(538, 12);
            this.panel1.Name = "panel1";
            this.panel1.Size = new System.Drawing.Size(240, 450);
            this.panel1.TabIndex = 23;
            // 
            // groupBox8
            // 
            this.groupBox8.Controls.Add(this.CheckBox_Interpolation);
            this.groupBox8.Controls.Add(this.PictureBox_Particle);
            this.groupBox8.Controls.Add(this.TextBox_Direction);
            this.groupBox8.Controls.Add(this.CheckBox_Transparency);
            this.groupBox8.Controls.Add(this.Button_LoadImage);
            this.groupBox8.Controls.Add(this.TextBox_Angle);
            this.groupBox8.Controls.Add(this.label13);
            this.groupBox8.Controls.Add(this.label2);
            this.groupBox8.Controls.Add(this.Label_ImageSize);
            this.groupBox8.Controls.Add(this.TrackBar_Angle);
            this.groupBox8.Controls.Add(this.TextBox_ParticleSize);
            this.groupBox8.Controls.Add(this.label1);
            this.groupBox8.Location = new System.Drawing.Point(10, 10);
            this.groupBox8.Name = "groupBox8";
            this.groupBox8.Size = new System.Drawing.Size(208, 282);
            this.groupBox8.TabIndex = 30;
            this.groupBox8.TabStop = false;
            this.groupBox8.Text = "Particle Creation";
            // 
            // CheckBox_Interpolation
            // 
            this.CheckBox_Interpolation.AutoSize = true;
            this.CheckBox_Interpolation.Enabled = false;
            this.CheckBox_Interpolation.Location = new System.Drawing.Point(6, 259);
            this.CheckBox_Interpolation.Name = "CheckBox_Interpolation";
            this.CheckBox_Interpolation.Size = new System.Drawing.Size(111, 17);
            this.CheckBox_Interpolation.TabIndex = 27;
            this.CheckBox_Interpolation.Text = "Color Interpolation";
            this.CheckBox_Interpolation.UseVisualStyleBackColor = true;
            this.CheckBox_Interpolation.CheckedChanged += new System.EventHandler(this.CheckBox_Interpolation_CheckedChanged);
            // 
            // PictureBox_Particle
            // 
            this.PictureBox_Particle.BackColor = System.Drawing.SystemColors.ControlDarkDark;
            this.PictureBox_Particle.Location = new System.Drawing.Point(6, 19);
            this.PictureBox_Particle.Name = "PictureBox_Particle";
            this.PictureBox_Particle.Size = new System.Drawing.Size(100, 100);
            this.PictureBox_Particle.SizeMode = System.Windows.Forms.PictureBoxSizeMode.StretchImage;
            this.PictureBox_Particle.TabIndex = 23;
            this.PictureBox_Particle.TabStop = false;
            // 
            // CheckBox_Transparency
            // 
            this.CheckBox_Transparency.AutoSize = true;
            this.CheckBox_Transparency.Checked = true;
            this.CheckBox_Transparency.CheckState = System.Windows.Forms.CheckState.Checked;
            this.CheckBox_Transparency.Location = new System.Drawing.Point(115, 259);
            this.CheckBox_Transparency.Name = "CheckBox_Transparency";
            this.CheckBox_Transparency.Size = new System.Drawing.Size(91, 17);
            this.CheckBox_Transparency.TabIndex = 26;
            this.CheckBox_Transparency.Text = "Transparency";
            this.CheckBox_Transparency.UseVisualStyleBackColor = true;
            this.CheckBox_Transparency.CheckedChanged += new System.EventHandler(this.CheckBox_Transparency_CheckedChanged);
            // 
            // Button_LoadImage
            // 
            this.Button_LoadImage.BackColor = System.Drawing.SystemColors.Control;
            this.Button_LoadImage.Location = new System.Drawing.Point(112, 70);
            this.Button_LoadImage.Name = "Button_LoadImage";
            this.Button_LoadImage.Size = new System.Drawing.Size(90, 23);
            this.Button_LoadImage.TabIndex = 24;
            this.Button_LoadImage.Text = "Load Image";
            this.Button_LoadImage.UseVisualStyleBackColor = false;
            this.Button_LoadImage.Click += new System.EventHandler(this.Button_LoadImage_Click);
            // 
            // Label_ImageSize
            // 
            this.Label_ImageSize.BackColor = System.Drawing.SystemColors.Info;
            this.Label_ImageSize.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Italic, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.Label_ImageSize.Location = new System.Drawing.Point(112, 96);
            this.Label_ImageSize.Name = "Label_ImageSize";
            this.Label_ImageSize.Size = new System.Drawing.Size(90, 23);
            this.Label_ImageSize.TabIndex = 25;
            this.Label_ImageSize.Text = "Size";
            this.Label_ImageSize.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
            // 
            // groupBox7
            // 
            this.groupBox7.Controls.Add(this.Button_ForceKeyClear);
            this.groupBox7.Controls.Add(this.Button_ForceKeySet);
            this.groupBox7.Controls.Add(this.Button_AddForceKey);
            this.groupBox7.Controls.Add(this.TextBox_ForceKeyForce);
            this.groupBox7.Controls.Add(this.label30);
            this.groupBox7.Controls.Add(this.TextBox_ForceKeyTime);
            this.groupBox7.Controls.Add(this.label31);
            this.groupBox7.Controls.Add(this.label32);
            this.groupBox7.Controls.Add(this.UpDown_ForceKey);
            this.groupBox7.Location = new System.Drawing.Point(10, 913);
            this.groupBox7.Name = "groupBox7";
            this.groupBox7.Size = new System.Drawing.Size(208, 100);
            this.groupBox7.TabIndex = 29;
            this.groupBox7.TabStop = false;
            this.groupBox7.Text = "Frame Force Key";
            // 
            // Button_ForceKeyClear
            // 
            this.Button_ForceKeyClear.AutoSize = true;
            this.Button_ForceKeyClear.AutoSizeMode = System.Windows.Forms.AutoSizeMode.GrowAndShrink;
            this.Button_ForceKeyClear.Location = new System.Drawing.Point(161, 43);
            this.Button_ForceKeyClear.Name = "Button_ForceKeyClear";
            this.Button_ForceKeyClear.Size = new System.Drawing.Size(41, 23);
            this.Button_ForceKeyClear.TabIndex = 10;
            this.Button_ForceKeyClear.Text = "Clear";
            this.Button_ForceKeyClear.UseVisualStyleBackColor = true;
            this.Button_ForceKeyClear.Click += new System.EventHandler(this.Button_ForceKeyClear_Click);
            // 
            // Button_ForceKeySet
            // 
            this.Button_ForceKeySet.AutoSize = true;
            this.Button_ForceKeySet.AutoSizeMode = System.Windows.Forms.AutoSizeMode.GrowAndShrink;
            this.Button_ForceKeySet.Enabled = false;
            this.Button_ForceKeySet.Location = new System.Drawing.Point(169, 71);
            this.Button_ForceKeySet.Name = "Button_ForceKeySet";
            this.Button_ForceKeySet.Size = new System.Drawing.Size(33, 23);
            this.Button_ForceKeySet.TabIndex = 9;
            this.Button_ForceKeySet.Text = "Set";
            this.Button_ForceKeySet.UseVisualStyleBackColor = true;
            this.Button_ForceKeySet.Click += new System.EventHandler(this.Button_ForceKeySet_Click);
            // 
            // Button_AddForceKey
            // 
            this.Button_AddForceKey.Location = new System.Drawing.Point(118, 16);
            this.Button_AddForceKey.Name = "Button_AddForceKey";
            this.Button_AddForceKey.Size = new System.Drawing.Size(84, 23);
            this.Button_AddForceKey.TabIndex = 8;
            this.Button_AddForceKey.Text = "Add Key";
            this.Button_AddForceKey.UseVisualStyleBackColor = true;
            this.Button_AddForceKey.Click += new System.EventHandler(this.Button_AddForceKey_Click);
            // 
            // TextBox_ForceKeyForce
            // 
            this.TextBox_ForceKeyForce.Enabled = false;
            this.TextBox_ForceKeyForce.Location = new System.Drawing.Point(77, 73);
            this.TextBox_ForceKeyForce.Name = "TextBox_ForceKeyForce";
            this.TextBox_ForceKeyForce.Size = new System.Drawing.Size(64, 20);
            this.TextBox_ForceKeyForce.TabIndex = 5;
            this.TextBox_ForceKeyForce.TextChanged += new System.EventHandler(this.TextBox_ForceKeyX_TextChanged);
            this.TextBox_ForceKeyForce.Leave += new System.EventHandler(this.TextBox_ForceKeyX_Leave);
            // 
            // label30
            // 
            this.label30.AutoSize = true;
            this.label30.Location = new System.Drawing.Point(5, 76);
            this.label30.Name = "label30";
            this.label30.Size = new System.Drawing.Size(34, 13);
            this.label30.TabIndex = 4;
            this.label30.Text = "Force";
            // 
            // TextBox_ForceKeyTime
            // 
            this.TextBox_ForceKeyTime.Enabled = false;
            this.TextBox_ForceKeyTime.Location = new System.Drawing.Point(77, 45);
            this.TextBox_ForceKeyTime.Name = "TextBox_ForceKeyTime";
            this.TextBox_ForceKeyTime.Size = new System.Drawing.Size(64, 20);
            this.TextBox_ForceKeyTime.TabIndex = 3;
            this.TextBox_ForceKeyTime.TextChanged += new System.EventHandler(this.TextBox_ForceKeyTime_TextChanged);
            this.TextBox_ForceKeyTime.Leave += new System.EventHandler(this.TextBox_ForceKeyStart_Leave);
            // 
            // label31
            // 
            this.label31.AutoSize = true;
            this.label31.Location = new System.Drawing.Point(6, 48);
            this.label31.Name = "label31";
            this.label31.Size = new System.Drawing.Size(65, 13);
            this.label31.TabIndex = 2;
            this.label31.Text = "Time Range";
            // 
            // label32
            // 
            this.label32.AutoSize = true;
            this.label32.Location = new System.Drawing.Point(54, 21);
            this.label32.Name = "label32";
            this.label32.Size = new System.Drawing.Size(58, 13);
            this.label32.TabIndex = 1;
            this.label32.Text = "Select Key";
            // 
            // UpDown_ForceKey
            // 
            this.UpDown_ForceKey.Enabled = false;
            this.UpDown_ForceKey.Location = new System.Drawing.Point(6, 19);
            this.UpDown_ForceKey.Maximum = new decimal(new int[] {
            1,
            0,
            0,
            -2147483648});
            this.UpDown_ForceKey.Minimum = new decimal(new int[] {
            1,
            0,
            0,
            -2147483648});
            this.UpDown_ForceKey.Name = "UpDown_ForceKey";
            this.UpDown_ForceKey.Size = new System.Drawing.Size(42, 20);
            this.UpDown_ForceKey.TabIndex = 0;
            this.UpDown_ForceKey.Value = new decimal(new int[] {
            1,
            0,
            0,
            -2147483648});
            this.UpDown_ForceKey.ValueChanged += new System.EventHandler(this.UpDown_ForceKey_ValueChanged);
            // 
            // groupBox6
            // 
            this.groupBox6.Controls.Add(this.Button_ScaleKeyClear);
            this.groupBox6.Controls.Add(this.Button_ScaleKeySet);
            this.groupBox6.Controls.Add(this.Button_AddScaleKey);
            this.groupBox6.Controls.Add(this.TextBox_ScaleKey);
            this.groupBox6.Controls.Add(this.label27);
            this.groupBox6.Controls.Add(this.TextBox_ScaleKeyTime);
            this.groupBox6.Controls.Add(this.label28);
            this.groupBox6.Controls.Add(this.label29);
            this.groupBox6.Controls.Add(this.UpDown_ScaleKey);
            this.groupBox6.Location = new System.Drawing.Point(10, 807);
            this.groupBox6.Name = "groupBox6";
            this.groupBox6.Size = new System.Drawing.Size(208, 100);
            this.groupBox6.TabIndex = 28;
            this.groupBox6.TabStop = false;
            this.groupBox6.Text = "Frame Scale Key";
            // 
            // Button_ScaleKeyClear
            // 
            this.Button_ScaleKeyClear.AutoSize = true;
            this.Button_ScaleKeyClear.AutoSizeMode = System.Windows.Forms.AutoSizeMode.GrowAndShrink;
            this.Button_ScaleKeyClear.Location = new System.Drawing.Point(162, 43);
            this.Button_ScaleKeyClear.Name = "Button_ScaleKeyClear";
            this.Button_ScaleKeyClear.Size = new System.Drawing.Size(41, 23);
            this.Button_ScaleKeyClear.TabIndex = 10;
            this.Button_ScaleKeyClear.Text = "Clear";
            this.Button_ScaleKeyClear.UseVisualStyleBackColor = true;
            this.Button_ScaleKeyClear.Click += new System.EventHandler(this.Button_ScaleKeyClear_Click);
            // 
            // Button_ScaleKeySet
            // 
            this.Button_ScaleKeySet.AutoSize = true;
            this.Button_ScaleKeySet.AutoSizeMode = System.Windows.Forms.AutoSizeMode.GrowAndShrink;
            this.Button_ScaleKeySet.Enabled = false;
            this.Button_ScaleKeySet.Location = new System.Drawing.Point(170, 71);
            this.Button_ScaleKeySet.Name = "Button_ScaleKeySet";
            this.Button_ScaleKeySet.Size = new System.Drawing.Size(33, 23);
            this.Button_ScaleKeySet.TabIndex = 9;
            this.Button_ScaleKeySet.Text = "Set";
            this.Button_ScaleKeySet.UseVisualStyleBackColor = true;
            this.Button_ScaleKeySet.Click += new System.EventHandler(this.Button_ScaleKeySet_Click);
            // 
            // Button_AddScaleKey
            // 
            this.Button_AddScaleKey.Location = new System.Drawing.Point(118, 16);
            this.Button_AddScaleKey.Name = "Button_AddScaleKey";
            this.Button_AddScaleKey.Size = new System.Drawing.Size(84, 23);
            this.Button_AddScaleKey.TabIndex = 8;
            this.Button_AddScaleKey.Text = "Add Key";
            this.Button_AddScaleKey.UseVisualStyleBackColor = true;
            this.Button_AddScaleKey.Click += new System.EventHandler(this.Button_AddScaleKey_Click);
            // 
            // TextBox_ScaleKey
            // 
            this.TextBox_ScaleKey.Enabled = false;
            this.TextBox_ScaleKey.Location = new System.Drawing.Point(61, 73);
            this.TextBox_ScaleKey.Name = "TextBox_ScaleKey";
            this.TextBox_ScaleKey.Size = new System.Drawing.Size(51, 20);
            this.TextBox_ScaleKey.TabIndex = 5;
            this.TextBox_ScaleKey.TextChanged += new System.EventHandler(this.TextBox_ScaleKey_TextChanged);
            this.TextBox_ScaleKey.Leave += new System.EventHandler(this.TextBox_ScaleKey_Leave);
            // 
            // label27
            // 
            this.label27.AutoSize = true;
            this.label27.Location = new System.Drawing.Point(5, 76);
            this.label27.Name = "label27";
            this.label27.Size = new System.Drawing.Size(53, 13);
            this.label27.TabIndex = 4;
            this.label27.Text = "Set Scale";
            // 
            // TextBox_ScaleKeyTime
            // 
            this.TextBox_ScaleKeyTime.Enabled = false;
            this.TextBox_ScaleKeyTime.Location = new System.Drawing.Point(61, 45);
            this.TextBox_ScaleKeyTime.Name = "TextBox_ScaleKeyTime";
            this.TextBox_ScaleKeyTime.Size = new System.Drawing.Size(51, 20);
            this.TextBox_ScaleKeyTime.TabIndex = 3;
            this.TextBox_ScaleKeyTime.TextChanged += new System.EventHandler(this.TextBox_ScaleKeyTime_TextChanged);
            this.TextBox_ScaleKeyTime.Leave += new System.EventHandler(this.TextBox_ScaleKeyTime_Leave);
            // 
            // label28
            // 
            this.label28.AutoSize = true;
            this.label28.Location = new System.Drawing.Point(6, 48);
            this.label28.Name = "label28";
            this.label28.Size = new System.Drawing.Size(49, 13);
            this.label28.TabIndex = 2;
            this.label28.Text = "Set Time";
            // 
            // label29
            // 
            this.label29.AutoSize = true;
            this.label29.Location = new System.Drawing.Point(54, 21);
            this.label29.Name = "label29";
            this.label29.Size = new System.Drawing.Size(58, 13);
            this.label29.TabIndex = 1;
            this.label29.Text = "Select Key";
            // 
            // UpDown_ScaleKey
            // 
            this.UpDown_ScaleKey.Enabled = false;
            this.UpDown_ScaleKey.Location = new System.Drawing.Point(6, 19);
            this.UpDown_ScaleKey.Maximum = new decimal(new int[] {
            1,
            0,
            0,
            -2147483648});
            this.UpDown_ScaleKey.Minimum = new decimal(new int[] {
            1,
            0,
            0,
            -2147483648});
            this.UpDown_ScaleKey.Name = "UpDown_ScaleKey";
            this.UpDown_ScaleKey.Size = new System.Drawing.Size(42, 20);
            this.UpDown_ScaleKey.TabIndex = 0;
            this.UpDown_ScaleKey.Value = new decimal(new int[] {
            1,
            0,
            0,
            -2147483648});
            this.UpDown_ScaleKey.ValueChanged += new System.EventHandler(this.UpDown_ScaleKey_ValueChanged);
            // 
            // groupBox5
            // 
            this.groupBox5.Controls.Add(this.Button_ColorKeyClear);
            this.groupBox5.Controls.Add(this.Button_ColorKeySet);
            this.groupBox5.Controls.Add(this.Button_AddColorKey);
            this.groupBox5.Controls.Add(this.Button_ColorKeySelect);
            this.groupBox5.Controls.Add(this.label26);
            this.groupBox5.Controls.Add(this.TextBox_ColorKeyTime);
            this.groupBox5.Controls.Add(this.label25);
            this.groupBox5.Controls.Add(this.label24);
            this.groupBox5.Controls.Add(this.UpDown_ColorKey);
            this.groupBox5.Location = new System.Drawing.Point(10, 701);
            this.groupBox5.Name = "groupBox5";
            this.groupBox5.Size = new System.Drawing.Size(208, 100);
            this.groupBox5.TabIndex = 27;
            this.groupBox5.TabStop = false;
            this.groupBox5.Text = "Frame Color Key";
            // 
            // Button_ColorKeyClear
            // 
            this.Button_ColorKeyClear.AutoSize = true;
            this.Button_ColorKeyClear.AutoSizeMode = System.Windows.Forms.AutoSizeMode.GrowAndShrink;
            this.Button_ColorKeyClear.Location = new System.Drawing.Point(161, 43);
            this.Button_ColorKeyClear.Name = "Button_ColorKeyClear";
            this.Button_ColorKeyClear.Size = new System.Drawing.Size(41, 23);
            this.Button_ColorKeyClear.TabIndex = 9;
            this.Button_ColorKeyClear.Text = "Clear";
            this.Button_ColorKeyClear.UseVisualStyleBackColor = true;
            this.Button_ColorKeyClear.Click += new System.EventHandler(this.Button_ColorKeyClear_Click);
            // 
            // Button_ColorKeySet
            // 
            this.Button_ColorKeySet.AutoSize = true;
            this.Button_ColorKeySet.AutoSizeMode = System.Windows.Forms.AutoSizeMode.GrowAndShrink;
            this.Button_ColorKeySet.Enabled = false;
            this.Button_ColorKeySet.Location = new System.Drawing.Point(169, 71);
            this.Button_ColorKeySet.Name = "Button_ColorKeySet";
            this.Button_ColorKeySet.Size = new System.Drawing.Size(33, 23);
            this.Button_ColorKeySet.TabIndex = 8;
            this.Button_ColorKeySet.Text = "Set";
            this.Button_ColorKeySet.UseVisualStyleBackColor = true;
            this.Button_ColorKeySet.Click += new System.EventHandler(this.Button_ColorKeySet_Click);
            // 
            // Button_AddColorKey
            // 
            this.Button_AddColorKey.Location = new System.Drawing.Point(118, 16);
            this.Button_AddColorKey.Name = "Button_AddColorKey";
            this.Button_AddColorKey.Size = new System.Drawing.Size(84, 23);
            this.Button_AddColorKey.TabIndex = 7;
            this.Button_AddColorKey.Text = "Add Key";
            this.Button_AddColorKey.UseVisualStyleBackColor = true;
            this.Button_AddColorKey.Click += new System.EventHandler(this.Button_AddColorKey_Click);
            // 
            // Button_ColorKeySelect
            // 
            this.Button_ColorKeySelect.Enabled = false;
            this.Button_ColorKeySelect.Location = new System.Drawing.Point(61, 71);
            this.Button_ColorKeySelect.Name = "Button_ColorKeySelect";
            this.Button_ColorKeySelect.Size = new System.Drawing.Size(56, 23);
            this.Button_ColorKeySelect.TabIndex = 5;
            this.Button_ColorKeySelect.Text = "Default";
            this.Button_ColorKeySelect.UseVisualStyleBackColor = true;
            this.Button_ColorKeySelect.Click += new System.EventHandler(this.Button_ColorKeySelect_Click);
            // 
            // label26
            // 
            this.label26.AutoSize = true;
            this.label26.Location = new System.Drawing.Point(5, 76);
            this.label26.Name = "label26";
            this.label26.Size = new System.Drawing.Size(50, 13);
            this.label26.TabIndex = 4;
            this.label26.Text = "Set Color";
            // 
            // TextBox_ColorKeyTime
            // 
            this.TextBox_ColorKeyTime.Enabled = false;
            this.TextBox_ColorKeyTime.Location = new System.Drawing.Point(61, 45);
            this.TextBox_ColorKeyTime.Name = "TextBox_ColorKeyTime";
            this.TextBox_ColorKeyTime.Size = new System.Drawing.Size(51, 20);
            this.TextBox_ColorKeyTime.TabIndex = 3;
            this.TextBox_ColorKeyTime.TextChanged += new System.EventHandler(this.TextBox_ColorKeyTime_TextChanged);
            this.TextBox_ColorKeyTime.Leave += new System.EventHandler(this.TextBox_ColorKeyTime_Leave);
            // 
            // label25
            // 
            this.label25.AutoSize = true;
            this.label25.Location = new System.Drawing.Point(6, 48);
            this.label25.Name = "label25";
            this.label25.Size = new System.Drawing.Size(49, 13);
            this.label25.TabIndex = 2;
            this.label25.Text = "Set Time";
            // 
            // label24
            // 
            this.label24.AutoSize = true;
            this.label24.Location = new System.Drawing.Point(54, 21);
            this.label24.Name = "label24";
            this.label24.Size = new System.Drawing.Size(58, 13);
            this.label24.TabIndex = 1;
            this.label24.Text = "Select Key";
            // 
            // UpDown_ColorKey
            // 
            this.UpDown_ColorKey.Enabled = false;
            this.UpDown_ColorKey.Location = new System.Drawing.Point(6, 19);
            this.UpDown_ColorKey.Maximum = new decimal(new int[] {
            1,
            0,
            0,
            -2147483648});
            this.UpDown_ColorKey.Minimum = new decimal(new int[] {
            1,
            0,
            0,
            -2147483648});
            this.UpDown_ColorKey.Name = "UpDown_ColorKey";
            this.UpDown_ColorKey.Size = new System.Drawing.Size(42, 20);
            this.UpDown_ColorKey.TabIndex = 0;
            this.UpDown_ColorKey.Value = new decimal(new int[] {
            1,
            0,
            0,
            -2147483648});
            this.UpDown_ColorKey.ValueChanged += new System.EventHandler(this.UpDown_ColorKey_ValueChanged);
            // 
            // Button_CreateEmitter
            // 
            this.Button_CreateEmitter.Location = new System.Drawing.Point(538, 468);
            this.Button_CreateEmitter.Name = "Button_CreateEmitter";
            this.Button_CreateEmitter.Size = new System.Drawing.Size(95, 23);
            this.Button_CreateEmitter.TabIndex = 24;
            this.Button_CreateEmitter.Text = "Create Emitter";
            this.Button_CreateEmitter.UseVisualStyleBackColor = true;
            this.Button_CreateEmitter.Click += new System.EventHandler(this.Button_CreateEmitter_Click);
            // 
            // label35
            // 
            this.label35.AutoSize = true;
            this.label35.Location = new System.Drawing.Point(700, 473);
            this.label35.Name = "label35";
            this.label35.Size = new System.Drawing.Size(72, 13);
            this.label35.TabIndex = 25;
            this.label35.Text = "Select Emitter";
            // 
            // UpDown_Emitter
            // 
            this.UpDown_Emitter.Location = new System.Drawing.Point(641, 471);
            this.UpDown_Emitter.Name = "UpDown_Emitter";
            this.UpDown_Emitter.Size = new System.Drawing.Size(53, 20);
            this.UpDown_Emitter.TabIndex = 26;
            this.UpDown_Emitter.ValueChanged += new System.EventHandler(this.UpDown_Emitter_ValueChanged);
            // 
            // CheckBox_PlaySelected
            // 
            this.CheckBox_PlaySelected.AutoSize = true;
            this.CheckBox_PlaySelected.Location = new System.Drawing.Point(646, 497);
            this.CheckBox_PlaySelected.Name = "CheckBox_PlaySelected";
            this.CheckBox_PlaySelected.Size = new System.Drawing.Size(126, 17);
            this.CheckBox_PlaySelected.TabIndex = 27;
            this.CheckBox_PlaySelected.Text = "Play Selected Emitter";
            this.CheckBox_PlaySelected.UseVisualStyleBackColor = true;
            // 
            // Button_Play
            // 
            this.Button_Play.Location = new System.Drawing.Point(538, 526);
            this.Button_Play.Name = "Button_Play";
            this.Button_Play.Size = new System.Drawing.Size(75, 23);
            this.Button_Play.TabIndex = 28;
            this.Button_Play.Text = "Play";
            this.Button_Play.UseVisualStyleBackColor = true;
            this.Button_Play.Click += new System.EventHandler(this.Button_Play_Click);
            // 
            // Button_Pause
            // 
            this.Button_Pause.Location = new System.Drawing.Point(619, 526);
            this.Button_Pause.Name = "Button_Pause";
            this.Button_Pause.Size = new System.Drawing.Size(75, 23);
            this.Button_Pause.TabIndex = 29;
            this.Button_Pause.Text = "Pause";
            this.Button_Pause.UseVisualStyleBackColor = true;
            this.Button_Pause.Click += new System.EventHandler(this.Button_Pause_Click);
            // 
            // Button_Stop
            // 
            this.Button_Stop.Location = new System.Drawing.Point(700, 526);
            this.Button_Stop.Name = "Button_Stop";
            this.Button_Stop.Size = new System.Drawing.Size(75, 23);
            this.Button_Stop.TabIndex = 30;
            this.Button_Stop.Text = "Stop";
            this.Button_Stop.UseVisualStyleBackColor = true;
            this.Button_Stop.Click += new System.EventHandler(this.Button_Stop_Click);
            // 
            // OpenFileDialog
            // 
            this.OpenFileDialog.FileName = "openFileDialog1";
            this.OpenFileDialog.Title = "Select Image";
            // 
            // CheckBox_ShowZone
            // 
            this.CheckBox_ShowZone.AutoSize = true;
            this.CheckBox_ShowZone.Checked = true;
            this.CheckBox_ShowZone.CheckState = System.Windows.Forms.CheckState.Checked;
            this.CheckBox_ShowZone.Location = new System.Drawing.Point(538, 497);
            this.CheckBox_ShowZone.Name = "CheckBox_ShowZone";
            this.CheckBox_ShowZone.Size = new System.Drawing.Size(81, 17);
            this.CheckBox_ShowZone.TabIndex = 31;
            this.CheckBox_ShowZone.Text = "Show Zone";
            this.CheckBox_ShowZone.UseVisualStyleBackColor = true;
            // 
            // Editor
            // 
            this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
            this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
            this.ClientSize = new System.Drawing.Size(784, 561);
            this.Controls.Add(this.CheckBox_ShowZone);
            this.Controls.Add(this.Button_Stop);
            this.Controls.Add(this.Button_Pause);
            this.Controls.Add(this.Button_Play);
            this.Controls.Add(this.CheckBox_PlaySelected);
            this.Controls.Add(this.UpDown_Emitter);
            this.Controls.Add(this.label35);
            this.Controls.Add(this.Button_CreateEmitter);
            this.Controls.Add(this.panel1);
            this.Controls.Add(this.AGKScreen);
            this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
            this.Name = "Editor";
            this.Text = "Particle Editor 2D";
            ((System.ComponentModel.ISupportInitialize)(this.TrackBar_Angle)).EndInit();
            this.groupBox1.ResumeLayout(false);
            this.groupBox1.PerformLayout();
            this.groupBox2.ResumeLayout(false);
            this.groupBox2.PerformLayout();
            this.groupBox3.ResumeLayout(false);
            this.groupBox3.PerformLayout();
            this.groupBox4.ResumeLayout(false);
            this.groupBox4.PerformLayout();
            this.panel1.ResumeLayout(false);
            this.groupBox8.ResumeLayout(false);
            this.groupBox8.PerformLayout();
            ((System.ComponentModel.ISupportInitialize)(this.PictureBox_Particle)).EndInit();
            this.groupBox7.ResumeLayout(false);
            this.groupBox7.PerformLayout();
            ((System.ComponentModel.ISupportInitialize)(this.UpDown_ForceKey)).EndInit();
            this.groupBox6.ResumeLayout(false);
            this.groupBox6.PerformLayout();
            ((System.ComponentModel.ISupportInitialize)(this.UpDown_ScaleKey)).EndInit();
            this.groupBox5.ResumeLayout(false);
            this.groupBox5.PerformLayout();
            ((System.ComponentModel.ISupportInitialize)(this.UpDown_ColorKey)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.UpDown_Emitter)).EndInit();
            this.ResumeLayout(false);
            this.PerformLayout();

        }

        #endregion

        private System.Windows.Forms.Panel AGKScreen;
        private System.Windows.Forms.Label label1;
        private System.Windows.Forms.Label label2;
        private System.Windows.Forms.Label label3;
        private System.Windows.Forms.TextBox TextBox_Angle;
        private System.Windows.Forms.Label label4;
        private System.Windows.Forms.Label label5;
        private System.Windows.Forms.Label Label_Count;
        private System.Windows.Forms.Label label7;
        private System.Windows.Forms.GroupBox groupBox1;
        private System.Windows.Forms.GroupBox groupBox2;
        private System.Windows.Forms.Label label10;
        private System.Windows.Forms.Label label9;
        private System.Windows.Forms.Label label8;
        private System.Windows.Forms.Label label13;
        private System.Windows.Forms.GroupBox groupBox3;
        private System.Windows.Forms.Label label17;
        private System.Windows.Forms.Label label16;
        private System.Windows.Forms.Label label15;
        private System.Windows.Forms.Label label14;
        private System.Windows.Forms.GroupBox groupBox4;
        private System.Windows.Forms.Label label18;
        private System.Windows.Forms.Label label19;
        private System.Windows.Forms.Label label20;
        private System.Windows.Forms.Label label21;
        private System.Windows.Forms.Label label22;
        private System.Windows.Forms.Panel panel1;
        private System.Windows.Forms.Label Label_ImageSize;
        private System.Windows.Forms.Button Button_LoadImage;
        private System.Windows.Forms.PictureBox PictureBox_Particle;
        private System.Windows.Forms.ColorDialog ColorDialog;
        private System.Windows.Forms.GroupBox groupBox5;
        private System.Windows.Forms.Label label25;
        private System.Windows.Forms.Label label24;
        private System.Windows.Forms.NumericUpDown UpDown_ColorKey;
        private System.Windows.Forms.Label label26;
        private System.Windows.Forms.GroupBox groupBox8;
        private System.Windows.Forms.GroupBox groupBox7;
        private System.Windows.Forms.Button Button_AddForceKey;
        private System.Windows.Forms.TextBox TextBox_ForceKeyForce;
        private System.Windows.Forms.Label label30;
        private System.Windows.Forms.TextBox TextBox_ForceKeyTime;
        private System.Windows.Forms.Label label31;
        private System.Windows.Forms.Label label32;
        private System.Windows.Forms.NumericUpDown UpDown_ForceKey;
        private System.Windows.Forms.GroupBox groupBox6;
        private System.Windows.Forms.Button Button_AddScaleKey;
        private System.Windows.Forms.TextBox TextBox_ScaleKey;
        private System.Windows.Forms.Label label27;
        private System.Windows.Forms.TextBox TextBox_ScaleKeyTime;
        private System.Windows.Forms.Label label28;
        private System.Windows.Forms.Label label29;
        private System.Windows.Forms.NumericUpDown UpDown_ScaleKey;
        private System.Windows.Forms.Button Button_AddColorKey;
        private System.Windows.Forms.Button Button_CreateEmitter;
        private System.Windows.Forms.Label label35;
        private System.Windows.Forms.NumericUpDown UpDown_Emitter;
        private System.Windows.Forms.CheckBox CheckBox_PlaySelected;
        private System.Windows.Forms.Button Button_Play;
        private System.Windows.Forms.Button Button_Pause;
        private System.Windows.Forms.Button Button_Stop;
        private System.Windows.Forms.OpenFileDialog OpenFileDialog;
        public System.Windows.Forms.TextBox TextBox_Direction;
        public System.Windows.Forms.TrackBar TrackBar_Angle;
        public System.Windows.Forms.TextBox TextBox_ParticleSize;
        public System.Windows.Forms.CheckBox CheckBox_Transparency;
        public System.Windows.Forms.TextBox TextBox_Frequency;
        public System.Windows.Forms.TextBox TextBox_Life;
        public System.Windows.Forms.TextBox TextBox_MaxParticles;
        public System.Windows.Forms.CheckBox CheckBox_Infinit;
        public System.Windows.Forms.TextBox TextBox_ZoneY2;
        public System.Windows.Forms.TextBox TextBox_ZoneY1;
        public System.Windows.Forms.TextBox TextBox_ZoneX2;
        public System.Windows.Forms.TextBox TextBox_ZoneX1;
        public System.Windows.Forms.CheckBox CheckBox_FaceDirection;
        public System.Windows.Forms.TextBox TextBox_RotRangeMax;
        public System.Windows.Forms.TextBox TextBox_RotRangeMin;
        public System.Windows.Forms.TextBox TextBox_VelocityMax;
        public System.Windows.Forms.TextBox TextBox_VelocityMin;
        public System.Windows.Forms.TextBox TextBox_ColorKeyTime;
        public System.Windows.Forms.Button Button_ColorKeySelect;
        private System.Windows.Forms.CheckBox CheckBox_ShowZone;
        public System.Windows.Forms.CheckBox CheckBox_Interpolation;
        private System.Windows.Forms.Button Button_ColorKeySet;
        private System.Windows.Forms.Button Button_ForceKeySet;
        private System.Windows.Forms.Button Button_ScaleKeySet;
        private System.Windows.Forms.Button Button_ForceKeyClear;
        private System.Windows.Forms.Button Button_ScaleKeyClear;
        private System.Windows.Forms.Button Button_ColorKeyClear;
    }
}

